# StarterGui

StarterGui : `Instance`

## Overview

The default GUI container for storing UI elements such as ScreenGui that will be displayed on the player's screen

Each time a player's character is spawned in the game, all UI elements inside StarterGui are copied into that player's PlayerGui, removing and replacing any previously copied UI.

StarterGui also provides functionality for controlling CoreGui elements like the joystick and jump button.

## Properties

## Methods

### GetCoreGuiEnabled

Returns the visibility status of the specified CoreGui.

#### Parameters

| `Enum.CoreGuiType` CoreGuiType | This is the target CoreGui. |
| ------------------------------ | --------------------------- |

#### Return

| `boolean` | Whether the specified CoreGui is currently visible. |
| --------- | --------------------------------------------------- |

#### Code Samples

```lua
local StarterGui = game:GetService("StarterGui")

local IsChatEnabled = StarterGui:GetCoreGuiEnabled(Enum.CoreGuiType.Chat)
print(IsChatEnabled)
```

### SetCoreGuiEnabled

Sets the visibility of the specified CoreGui.

#### Parameters

| `Enum.CoreGuiType` CoreGuiType | This is the target CoreGui.    |
| ------------------------------ | ------------------------------ |
| `boolean` Enabled              | This is the visibility status. |

#### Return

| `void` |   |
| ------ | - |

#### Code Samples

```lua
local StarterGui = game:GetService("StarterGui")

StarterGui:SetCoreGuiEnabled(Enum.CoreGuiType.Chat, false)
```

## Events

## See also

{% content-ref url="/pages/MS4oQBHYxUxZLKzFIpSr" %}
[Mobile Input Handling](/manual/script-manual/input-and-controls/contextactionservice.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/classes/startergui.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
